#include <bits/stdc++.h>
using namespace std;
bool kt(long n,long i=2)
{
    if(i>sqrt(n)){
        return true;
    }
    if(n%i==0){
        return false;
    }
    return kt(n,i+1);
}
int main()
{
    ifstream f1("DQNT.inp");
    ofstream f2("DQNT.out");
    long a,b=1;
    f1>>a;
    long d[100000];
    long s[100000];
    for(long j=0;j<a;j++){
        f1>>d[j];
        if(kt(d[j],2)==1){
            s[b]=d[j];
            b++;
        }
    }
    if(b==1){

    }
    sort(s,s+b);
    for(long t=1;t<b;t++){
        f2<<s[t]<<" ";
    }
}
